% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_training_data.R
\name{get_training_data}
\alias{get_training_data}
\title{Extract training data from BAM files}
\usage{
get_training_data(
  bam_paths,
  reference_path,
  bed_include_path = NULL,
  factor = 1,
  common_positions_to_exclude_paths = NULL,
  positions_to_exclude_paths = NULL,
  mm_rate_max = 1,
  verbose = F
)
}
\arguments{
\item{bam_paths}{Vector of strings. Paths to \code{.bam} files to extract training data from.}

\item{reference_path}{String. Path to reference genome fasta file.}

\item{bed_include_path}{String. Path to bed-file with regions to include. Default is \code{NULL}.}

\item{factor}{Number between 0 and 1. Ratio between negative and positive data. Default is 1.}

\item{common_positions_to_exclude_paths}{Vector of strings. List of files with positions to exclude from all samples. Default is \code{NULL}.}

\item{positions_to_exclude_paths}{Vector of strings. List of files with positions to exclude from training with length equal to number of samples. Default is \code{NULL}.}

\item{mm_rate_max}{Number between 0 and 1. Maximum mismatch rate in position. Default is 1.}

\item{verbose}{TODO: Write this}
}
\value{
\code{data.frame} with training data for a bam file
}
\description{
Extract training data from BAM files
}
\seealso{
\code{\link[=train_dreams_model]{train_dreams_model()}} Function for training model
}
